<div class="card">
    <div class="card-header h6">Part 3. PCI DSS Validation (Continued)</div>
    <div class="card m-4">
        <div class="card-header d-flex h6"><b>Part 3d. Internal Security Assessor (ISA) Involvement (if applicable)</b>
            <div class="form-group ml-4">
                <label class="form-check-label">
                    <input class="form-check-input" type="checkbox" [checked]="enableForm"
                           (change)="enableForm = !enableForm; toggleForm()">
                </label>
            </div>
        </div>
        <form (ngSubmit)="saveAndContinue()" #attestationForm="ngForm">
            <div class="form-group">
                <label class="col-sm-3 col-md-3 col-xs-3"><b>Duly Authorized Officer Name</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-9 col-md-9 col-xs-9 ml-1">
                    <input class="form-control" type="text" required
                           [(ngModel)]="isaAttestation.isaAttestorName" name="oName"
                           #oName="ngModel">
                    <div *ngIf="!oName.valid && submitted && enableForm"
                         class="alert alert-danger error-msg">
                        <div [hidden]="!oName.hasError('required')">Name is required!!
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 col-md-3 col-xs-3"><b>Title</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-9 col-md-9 col-xs-9 ml-1">
                    <input class="form-control" type="text" required
                           [(ngModel)]="isaAttestation.isaAttestorTitle" name="titleName"
                           #titleName="ngModel">
                    <div *ngIf="!titleName.valid && submitted && enableForm"
                         class="alert alert-danger error-msg">
                        <div [hidden]="!titleName.hasError('required')">Title is required!!
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 col-md-3 col-xs-3" for="date"><b>Date</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-9 col-md-9 col-xs-9 ml-1">
                    <div class="form-inline">
                        <div class="form-group">
                            <input class="form-control date-input w-100" id="date" disabled type="text"
                                   value="{{currentDate}}">
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-3 col-md-3  col-xs-3"><b>ISA Company</b></label>
                <p class="float-right">:</p>
                <div class="col-sm-9 col-md-9 col-xs-9 ml-1">
                    <input class="form-control" type="text" required
                           [(ngModel)]="isaAttestation.isaAttestorCompany" name="companyName"
                           #companyName="ngModel">
                    <div *ngIf="!companyName.valid && submitted && enableForm"
                         class="alert alert-danger error-msg">
                        <div [hidden]="!companyName.hasError('required')">Company is required!!
                        </div>
                    </div>
                </div>
            </div>

        </form>
    </div>
    <div class="row-md action-div">
        <jhi-button *ngIf="showSaveBtn()" (click)="saveAndExit(attestationForm)" exit>Save & Exit</jhi-button>
        <jhi-button *ngIf="showSaveBtn() && complianceType === COMPLIANT_STATEMENT.NON_COMPLIANT" (click)="saveAndContinue(attestationForm)" continue>Save & Continue</jhi-button>
    </div>
    <div class="arrows mt-auto mb-4">
        <i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i>
        <i *ngIf="complianceType === COMPLIANT_STATEMENT.NON_COMPLIANT" (click)="forward()" class="fa fa-4x fa-angle-right float-right mr-4"></i>
    </div>
</div>
